%global gem_name gpgme

Name:           rubygem-%{gem_name}
Version:        2.0.2
Release:        1%{?dist}
Summary:        Ruby bindings for the GPGME (GnuPG Made Easy) library
License:        LGPLv2+
URL:            http://github.com/ueno/ruby-gpgme
Source0:        https://rubygems.org/gems/%{gem_name}-%{version}.gem
# this is fixed on master
Source1:        https://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
# disable statically linked bundled GPGME
Patch0:         0001-no-bundled-libs.patch
Requires:       ruby
Requires:       ruby(rubygems)
BuildRequires:  ruby
BuildRequires:  rubygems-devel
BuildRequires:  ruby-devel
BuildRequires:  gpgme-devel
BuildRequires:  libassuan-devel
Provides:       rubygem(%{gem_name}) = %{version}

%description
Ruby-GPGME is a Ruby language binding for GPGME (GnuPG Made Easy). GPGME is 
a library designed to make access to GnuPG easier for applications. It provides 
a high-level crypto API for encryption, decryption, signing, signature 
verification and key management.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
%patch0 -p1
gem spec %{SOURCE0} -l --ruby >%{gem_name}.gemspec
chmod a-x examples/*
cp -p %{SOURCE1} COPYING.LESSER

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/specifications/ .%{gem_dir}/doc/ %{buildroot}%{gem_dir}
mkdir -p %{buildroot}%{gem_instdir}
cp -pa .%{gem_instdir}/lib %{buildroot}%{gem_instdir}/
mkdir -p %{buildroot}%{gem_extdir_mri}/lib
mv %{buildroot}%{gem_instdir}/lib/gpgme_n.so %{buildroot}%{gem_extdir_mri}/lib/

%files
%doc COPYING.LESSER
%{gem_instdir}
%{gem_extdir_mri}
%{gem_spec}

%files doc
%doc COPYING.LESSER
%doc examples
%doc %{gem_docdir}

%changelog
* Tue Feb 04 2014 Dan Callaghan <dcallagh@redhat.com> - 2.0.2-1
- Initial package
